WinDef.POINT.ByValue (JNA API)

com.sun.jna.platform.win32

## Class WinDef.POINT.ByValue

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinDef.POINT
    - - com.sun.jna.platform.win32.WinDef.POINT.ByValue

- All Implemented Interfaces:
    Structure.ByValue
  Enclosing class:
    WinDef.POINT

      public static class WinDef.POINT.ByValue
      extends WinDef.POINT
      implements Structure.ByValue

  The Class ByValue.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinDef.POINT

      `WinDef.POINT.ByReference, WinDef.POINT.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinDef.POINT

      `x, y`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByValue()`
    `ByValue(int x, int y)`
    `ByValue(Pointer memory)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByValue

          public ByValue()

    - #### ByValue

          public ByValue(Pointer memory)

    - #### ByValue

          public ByValue(int x,
                         int y)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.